Subject: followup, re: dns cache corruption

From: Paul A Vixie <[email-masked]>
Date: Fri, 02 Jul 1999 10:07:35 -0700

folks who wanted to know how to test whether their server is corrupt:

	dig www.networksolutions.com a @204.152.187.11 | grep 128.9.160.28

(204.152.187.11 is my local caching server, which isn't corrupt, dammit.)
if the above command produces an A RR as output, your server is corrupt.

folks who wanted to know how to dump their cache and look for this data:

	su
	ndc dumpdb
	awk '/^\$ORIGIN/ { o=$2 } /128.9.160.28/ {print o;print}' \
		/var/named/named_dump.db

(this assumes that you're using sh or csh, and that your named.conf's
"directory" option is set to /var/named as mine is.)  if the above command
shows an origin other than icann.org, or shows more than one origin, you
have caught something that i would like to see in my inbox -- and thanks!